rpm (4.8.1-6+squeeze1) lua-libname.patch

Summary

 configure.ac |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

    
download this patch

Patch contents

Description: In Debian, lua library is called lua5.1.
Author: Michal Čihař <nijel@debian.org>
Forwarded: http://rpm.org/ticket/88
--- a/configure.ac
+++ b/configure.ac
@@ -805,7 +805,7 @@
 AC_ARG_WITH(lua, [AS_HELP_STRING([--with-lua],[build with lua support])],,[with_lua=yes])
 AS_IF([test "$with_lua" = yes],[
   AC_CHECK_HEADER([lua.h],[
-    AC_CHECK_LIB(lua,[luaL_openlibs],[with_lua=yes],[
+    AC_CHECK_LIB(lua5.1,[luaL_openlibs],[with_lua=yes],[
       AC_MSG_ERROR([--with-lua given, but liblua not found])
     ], 
     [-lm])
@@ -817,7 +817,7 @@
 AS_IF([test "$with_lua" = yes],[
   AC_DEFINE(WITH_LUA, 1, [Build with lua support?])
   WITH_LUA_INCLUDE=
-  WITH_LUA_LIB="-llua -lm" 
+  WITH_LUA_LIB="-llua5.1 -lm" 
 ])
 AC_SUBST(WITH_LUA_LIB)
 AC_SUBST(WITH_LUA_INCLUDE)